# encoding: utf-8

require 'spec_helper'

describe AppStack do
  describe '.find_conf_file' do
    it 'find .app_stack.yml' do
      AppStack.find_conf_file(examples('find_conf_file/with_dot'))
        .should eq(examples('find_conf_file/with_dot/.app_stack.yml'))
    end

    it 'prefer app_stack.yml' do
      AppStack.find_conf_file(examples('find_conf_file/both'))
        .should eq(examples('find_conf_file/both/app_stack.yml'))
    end
  end
end
