# encoding: utf-8

require 'spec_helper'

describe AppStack::CliOptions do
  it 'parse argv with config file given' do
    opt = AppStack::CliOptions.new(%w[-f opt_file.yml])
    opt.force.should be_true
    opt.conf_file.should eq('opt_file.yml')
    opt.verbose.should be_false
  end

  it 'parse argv without config file given' do
    opt = AppStack::CliOptions.new(%w[-s --verbose])
    opt.force.should be_false
    opt.simulate.should be_true
    opt.verbose.should be_true
    opt.conf_file.should be_nil
  end
end
