# encoding: utf-8

require 'mongoid'

# load configuration
Mongoid.load!(ENV['APP_ROOT'] + '/config/mongoid.yml', ENV['RACK_ENV'])

# load mixin function and custom modules into Mongoid
Dir[ENV['APP_ROOT'] + '/lib/mongoid/*.rb'].each { |f| require f }

# load all application models
Dir[ENV['APP_ROOT'] + '/app/models/**/*.rb'].each { |f| require f }
